<?php
require_once('guiconfig.inc');
require_once('.api.php');
global $config, $ipqs;
$pconfig = array();

if($_POST){
    if(isset($_POST['query'])){
        $arr    = $ipqs['fnc']['validateaddress'](
            $_POST['lookup_query'], $ipqs['config']['oauth']['access_token'], 
            $ipqs['config']['oauth']['domain'],
            $_POST['vpn_proxy_transaction_strictness'],
            $_POST['allow_public_access_points']
        );
        $pconfig['q'] = $ipqs['fnc']['json_to_str']($arr);
    }
}

$pgtitle = array(gettext('Firewall'), gettext('IPQualityScore'));
$pglinks = array('', '@self');
include('head.inc');

display_top_tabs($ipqs['fnc']['nav'](), true);

$form = new Form(false);
if(strlen($ipqs['config']['oauth']['access_token']) === 128){
    $section =  new Form_Section('IP Lookup');

    $section->addInput(new Form_Input(
        'lookup_query',
        gettext('IP Adress / FQDN'),
        'text'
    ))->setHelp('This function does add the queried address to the black list.');
    
    $section->addinput(new Form_Select(
        'transaction_strictness',
        'Transaction Strictness',
        $pconfig['vpn_proxy_transaction_strictness'],
        [ 0,1,2]
    ));

    $section->addinput(new Form_Checkbox(
        'allow_public_access_points',
        'Allow Public Access Points',
        $pconfig['vpn_proxy_allow_public_access_points']=== 'on' ? true:false,
        'on'
    ));

    $section->addInput(new Form_Button(
        'query',
        'Query',
        
    ));
    if(isset($pconfig['q']) === true){
        $section->addInput(new Form_Textarea(
            'result',
            'Result',
            $pconfig['q']
        ))->setRows(substr_count($pconfig['q'],"\n")+2);
    }
}else{
    $section =  new Form_Section('Oauth needs to be setup');
    $section->addInput(new Form_StaticText(
        'Notice',
        'Lookup will only work once oauth configured.',
    ));
}
$form->add($section);
print($form);
?>

<?php include("foot.inc"); ?>